Subject: Re: bug#67713: [PATCH] 30.0.50; Small change to display.texi
From: Eli Zaretskii <[email-masked]>
To: Arash Esbati <[email-masked]>
Cc: [email-masked]
Date: Sat, 09 Dec 2023 13:06:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Arash Esbati <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 08 Dec 2023 17:43:09 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks, but why is it so important to follow the order in the @item?
> 
> One point (which is minor) is that my brain can parse that information
> easier if they are in order.  The major point is that couple of lines
> above in display.texi (and also in other places in the manual), the
> information is provided in that order:
> 
> @item @code{(:color @var{color} :style @var{style} :position @var{position})}
> @var{color} is either a string, or the symbol @code{foreground-color},
> meaning the foreground color of the face.  Omitting the attribute
> @code{:color} means to use the foreground color of the face.
> @var{style} should be a symbol @code{line} or @code{wave}, meaning to
> use a straight or wavy line.  Omitting the attribute @code{:style}
> means to use a straight line.  @var{position}, if non-@code{nil}, means to
> display the underline at the descent of the text, instead of at the
> baseline level.  If it is a number, then it specifies the amount of
> pixels above the descent to display the underline.
> 
> But I'm easy, feel free to reject; it is really a minor issue.

I installed this on the emacs-29 branch, and I'm closing this bug.

Thanks.